//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ModeloComprobantePago
{
    using System;
    using System.Collections.Generic;
    
    public partial class pago
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public pago()
        {
            this.editado = false;
            this.editadoTotal = false;
            this.pagoLinea = new HashSet<pagoLinea>();
            this.pagoTotales = new HashSet<pagoTotales>();
            this.pagoImpuesto = new HashSet<pagoImpuesto>();
            this.pagoRetencion = new HashSet<pagoRetencion>();
        }
    
        public int Id { get; set; }
        public string emisor { get; set; }
        public string receptor { get; set; }
        public string serie { get; set; }
        public string folio { get; set; }
        public System.DateTime fecha { get; set; }
        public string sello { get; set; }
        public string noCertificado { get; set; }
        public string certificado { get; set; }
        public string lugarExpedicion { get; set; }
        public string confirmacion { get; set; }
        public string emisorNombre { get; set; }
        public string emisorRegimenFiscal { get; set; }
        public string receptorNombre { get; set; }
        public string receptorResidenciaFiscal { get; set; }
        public string receptorNumRegIdTrib { get; set; }
        public string receptorCodigoPostal { get; set; }
        public string receptorPais { get; set; }
        public System.DateTime fechaPago { get; set; }
        public string formaDePagoP { get; set; }
        public string monedaP { get; set; }
        public Nullable<decimal> tipoCambioP { get; set; }
        public Nullable<decimal> monto { get; set; }
        public string NumOperacion { get; set; }
        public string RfcEmisorCtaOrd { get; set; }
        public string NomBancoOrdExt { get; set; }
        public string CtaOrdenante { get; set; }
        public string RfcEmisorCtaBen { get; set; }
        public string CtaBeneficiario { get; set; }
        public string estado { get; set; }
        public string xml { get; set; }
        public string pdf { get; set; }
        public string observaciones { get; set; }
        public string uuid { get; set; }
        public string error { get; set; }
        public string checkId { get; set; }
        public string deposit { get; set; }
        public string customerId { get; set; }
        public string cancelado { get; set; }
        public string pdfEstado { get; set; }
        public bool editado { get; set; }
        public bool editadoTotal { get; set; }
        public string version { get; set; }
        public string DomicilioFiscalReceptor { get; set; }
        public string RegimenFiscalReceptor { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<pagoLinea> pagoLinea { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<pagoTotales> pagoTotales { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<pagoImpuesto> pagoImpuesto { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<pagoRetencion> pagoRetencion { get; set; }
    }
}
